> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flextell.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Reject multiple appointment reminders



## OpenAPI

````yaml https://dev.flextell.ai/docs/api.json post /v1/appointment-reminders/bulk/reject
openapi: 3.1.0
info:
  title: Flextell API
  version: 0.0.1
  description: '## Flextell API'
servers:
  - url: https://dev.flextell.ai/api
security:
  - oauth2: []
  - bearer: []
paths:
  /v1/appointment-reminders/bulk/reject:
    post:
      tags:
        - AppointmentReminder
      summary: Reject multiple appointment reminders
      operationId: appointmentReminder.bulkReject
      parameters:
        - name: X-Tenant
          in: header
          required: true
          description: >-
            Tenant identifier. Send the Tenant ID in the `X-Tenant` header to
            scope API requests to a specific tenant.
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AppointmentReminderBulkRejectRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: string
                  data:
                    type: object
                    properties:
                      success_count:
                        type: integer
                      failed_count:
                        type: integer
                      results:
                        type: array
                        items:
                          anyOf:
                            - type: object
                              properties:
                                id:
                                  type: string
                                success:
                                  type: string
                                message:
                                  type: string
                              required:
                                - id
                                - success
                                - message
                            - type: object
                              properties:
                                id:
                                  type: string
                                success:
                                  type: boolean
                                message:
                                  type: string
                                  const: Appointment reminder not found
                              required:
                                - id
                                - success
                                - message
                    required:
                      - success_count
                      - failed_count
                      - results
                required:
                  - success
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    AppointmentReminderBulkRejectRequest:
      type: object
      properties:
        ids:
          type: array
          description: The reminder identifiers to reject.
          items:
            type: integer
            description: An ID.
            minimum: 1
          minItems: 1
          maxItems: 100
      required:
        - ids
      title: AppointmentReminderBulkRejectRequest
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://dev.flextell.ai/oauth/authorize
          tokenUrl: https://dev.flextell.ai/oauth/token
          scopes:
            '*': all
    bearer:
      type: http
      scheme: bearer

````